$in_file = "C:\Scripts\Input\NewUsers_Test.csv"
$out_file = "C:\Scripts\Output\out.csv"

$out_data = @()

ForEach ($row in (Import-Csv $in_file)) {
    If ($row.'user name') {
        $out_data += Get-ADUser $row.'user name' -Properties Mail
    }
} 

$out_data | 
Select SamAccountName,Mail,Name | 
Export-Csv -Path $out_file -NoTypeInformation